メインコンテンツへスキップ
POST
/
v1
/
payments
/
{id}
/
refund
返金
curl --request POST \
  --url https://api.sandbox.zafapay.com/v1/payments/{id}/refund \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 5.5,
  "reason": "お客様都合"
}
'
{
  "id": "orf_xyz789",
  "transaction_id": "tx_abc123",
  "amount": "5.50",
  "status": "succeeded",
  "psp_refund_id": "re_xxxxx",
  "refund_fee": "1.00"
}

承認

Authorization
string
header
必須

アクセストークンを使用したBearer認証

パスパラメータ

id
string
必須

トランザクションID

:

"tx_abc123"

ボディ

application/json
amount
number

返金金額(小数点以下2桁まで対応)。省略時は全額返金。

:

5.5

reason
string

返金理由

:

"お客様都合"

レスポンス

返金成功

id
string

返金ID

:

"orf_xyz789"

transaction_id
string

トランザクションID

:

"tx_abc123"

amount
string

返金金額(文字列形式)

:

"5.50"

status
string

返金ステータス

:

"succeeded"

psp_refund_id
string

PSP側の返金ID

:

"re_xxxxx"

refund_fee
string

返金手数料(文字列形式)

:

"1.00"